Raised This Month: $350 Target: $400
 87%   Almost there!

[Editor] Sublime AMXX-Editor v2.2


Post New Thread Reply   
 
Thread Tools Display Modes
Mistrick
Senior Member
Join Date: Aug 2012
Location: Russia
Old 11-06-2016 , 02:22   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #101

Wrong highlighting for enums
Click image for larger version

Name:	iuy76f8766.PNG
Views:	213
Size:	5.8 KB
ID:	158498
Mistrick is offline
joseph9
Junior Member
Join Date: Nov 2016
Location: Poland
Old 11-16-2016 , 15:07   UTF-8
Reply With Quote #102

Can I compile .sma with UTF-8? I compiled .sma but characters don't match.
joseph9 is offline
Old 12-09-2016, 00:44
jackseason
This message has been deleted by Arkshine. Reason: Spambot
Depresie
Veteran Member
Join Date: Nov 2013
Old 12-17-2016 , 10:38   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #103

Quote:
Originally Posted by KliPPy View Post
Does the auto-completion support 3rd party includes? It doesn't parse Okapi at all for me.
That's because it is bugged

You have to save the file as .sma then open it again in order to make auto complete work...
__________________
Depresie is offline
Destro-
Veteran Member
Join Date: Jun 2010
Location: $me->location();
Old 07-09-2017 , 21:30   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #104

Some new features for the next version

Functions List & Includes Tree:


Auto-completion local vars:


Auto-completion FOR and others keywords:



Have another feature suggestion?
__________________

Last edited by Destro-; 07-09-2017 at 21:44.
Destro- is offline
Mistrick
Senior Member
Join Date: Aug 2012
Location: Russia
Old 07-11-2017 , 10:14   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #105

Destro-, add smth like that
Quote:
* Added new setting `add_function_parameters` to enable the parameters addition when autocompleting.
Would be great add setting for autocomplete, paste after press down arrow then enter instead only enter. Often need to go to next line instead paste autocomplete word.
Mistrick is offline
Hembi
Member
Join Date: Mar 2013
Location: Hungary
Old 09-17-2017 , 17:20   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #106

Hi!

Can you publish an update to the latest SubLime?
Hembi is offline
OciXCrom
Veteran Member
Join Date: Oct 2013
Location: Macedonia
Old 07-15-2018 , 08:12   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #107

I'm very confused on where the latest version of this thing is. The one in the Package Control has a version of 2.0.4 and is missing the AMXX menu in the toolbar. The first post in this thread has two different files and none of them have the new things mentioned on the images above my comments (e.g. Function List).
__________________

Last edited by OciXCrom; 07-15-2018 at 08:33.
OciXCrom is offline
Send a message via Skype™ to OciXCrom
addons_zz
Veteran Member
Join Date: Aug 2015
Location: Dreams, zz
Old 07-15-2018 , 13:57   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #108

Quote:
Originally Posted by OciXCrom View Post
I'm very confused on where the latest version of this thing is. The one in the Package Control has a version of 2.0.4 and is missing the AMXX menu in the toolbar.
The one in package control is the one I did and published here on this other thread: [TUT] Compiling AMXX plugins with Sublime Text.

By default I do not add the menu because not everybody want that menu showing up when they
install it by Package Control. On that version, you can add the menu by creating this file
`Packages/User/Main.sublime-menu` on your Sublime Text files:
Code:
[
    {
        "caption": "Amx Mod X",
        "id": "amxmodx",
        "children":
        [
            {
                "command": "new_amxx_include",
                "caption": "New Include"
            },
            {
                "command": "new_amxx_plugin",
                "caption": "New Plug-In"
            },
            {
                "command": "open_file",
                "args": {"file": "${packages}/User/Amxmodx/AmxxPawn.sh"},
                "caption": "Configure Linux/Cygwin Compiler"
            },
            {
                "command": "open_file",
                "args": {"file": "${packages}/User/Amxmodx/AmxxPawn.bat"},
                "caption": "Configure Windows/Bat Compiler"
            },
            { "caption": "-" },
            {
                "command": "open_file",
                "args": { "file": "${packages}/User/AmxmodxConsole.sublime-settings" },
                "caption": "Edit Amxmodx Console Settings"
            },
            {
                "command": "open_file",
                "args": { "file": "${packages}/User/Amxmodx.sublime-settings" },
                "caption": "Edit Amxmodx Autocompletion Settings"
            },
        ]
    },
]
Quote:
Originally Posted by OciXCrom View Post
The first post in this thread has two different files and none of them have the new things mentioned on the images above my comments (e.g. Function List).
The new things the mentions are for the next version, which he did not released yet.

The other files at the first post are:
  1. The Full Sublime Text installation + His plugin
  2. The other is only his plugin, which requires you to download Sublime Text and install it.
  3. The old version of this plugin
__________________
Plugin: Sublime Text - ITE , Galileo
Multi-Mod: Manager / Plugin / Server

Support me on Patreon, Ko-fi, Liberapay or Open Collective
addons_zz is offline
OciXCrom
Veteran Member
Join Date: Oct 2013
Location: Macedonia
Old 07-16-2018 , 08:29   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #109

Thanks. I'm using the v2.2 from the first post here. It has a problem though. When I install it everything is working fine, but after I restart my computer and try to open Sublime again, it says "Error loading colour scheme. Packages/amxmodx/mistrick-pawn.tmTheme: Unable to open" and nothing else is working from the package. It says the same thing when I try to edit the settings - "unable to open amxx.sublime-settings".
__________________

Last edited by OciXCrom; 07-16-2018 at 08:45.
OciXCrom is offline
Send a message via Skype™ to OciXCrom
addons_zz
Veteran Member
Join Date: Aug 2015
Location: Dreams, zz
Old 07-16-2018 , 15:41   Re: [Editor] Sublime AMXX-Editor v2.2
Reply With Quote #110

It it happening because Package Control, is overriding this version with the other one.
I opened a pull request to renaming the package control version: #7193 Renamed Amxmodx package to AmxxEditor

But it will take a while before they merge, you can add the `amxmodx` package to the Package Control `auto_upgrade_ignore` setting. Then, Package Control will stop overriding it.

To do it, you can go to the Sublime Text menu `Preferences -> Package Settings -> Package Control -> Settings - User` and create a new setting entry with:
Code:
	"auto_upgrade_ignore":
	[
             "Amxmodx",
	],
Now, you can delete the `Amxmodx` package and reinstall it, i.e., delete the folder `Packages/amxmodx` and unpack the one available on the first post.
__________________
Plugin: Sublime Text - ITE , Galileo
Multi-Mod: Manager / Plugin / Server

Support me on Patreon, Ko-fi, Liberapay or Open Collective
addons_zz is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 14:16.


Powered by vBulletin®
Copyright ©2000 - 2022, vBulletin Solutions, Inc.
Theme made by Freecode